## org.springframework.orm.toplink
Class TopLinkQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.orm.toplink.TopLinkQueryException

All Implemented Interfaces:
  Serializable

    public class TopLinkQueryException

extends InvalidDataAccessResourceUsageException

TopLink-specific subclass of InvalidDataAccessResourceUsageException, thrown on invalid TopLink query syntax or behavior.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`TopLinkQueryException(oracle.toplink.exceptions.QueryException ex)`

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopLinkQueryException

    public TopLinkQueryException(oracle.toplink.exceptions.QueryException ex)

Copyright © 2002-2008 The Spring Framework.